// CFESPauseMenu - [2020-04-13 11:57:46]
#ifndef _CFESPAUSEMENU_H_
#define _CFESPAUSEMENU_H_

#include "common.h"
#include "CFEScreen.h"

/*
0012FBB8 CFESPauseMenu::CFESPauseMenu()
0012FBD0 CFESPauseMenu::~CFESPauseMenu()
0012FBF0 CFESPauseMenu::~CFESPauseMenu()
0012FC00 CFESPauseMenu::Init()
0012FEAC CFESPauseMenu::CheckPreviousPlayable()
0012FEE0 CFESPauseMenu::QuitToFrontEnd(int,void *)
0012FF90 CFESPauseMenu::ResumeGame()
0012FFBC CFESPauseMenu::Process()
00130048 CFESPauseMenu::PreRender3D()
0013004C CFESPauseMenu::Render3D()
00130050 CFESPauseMenu::Render2D()
00130058 CFESPauseMenu::Render2DHUD()
001301AC CFESPauseMenu::Exit()

*/

class CFESPauseMenu : public CFEScreen {
public:
  CFESPauseMenu();             // 0012FBB8
  ~CFESPauseMenu();            // 0012FBD0 0012FBF0
  virtual void Init();         // 0012FC00
  virtual void Process();      // 0012FFBC
  virtual void Render2D();     // 00130050
  virtual void Render2DHUD();  // 00130058
  virtual void PreRender3D();  // 00130048
  virtual void Render3D();     // 0013004C
  virtual void Exit();         // 001301AC

  static int CheckPreviousPlayable();       // 0012FEAC
  static void QuitToFrontEnd(int, void *);  // 0012FEE0
  static void ResumeGame();                 // 0012FF90

  int *filed_10;

  static bool ms_bPauseMenuActive;
};

#endif  //_CFESPAUSEMENU_H_